Package: io.vertx.groovy.ext.shell.system

## [Groovy] Class Process

- io.vertx.groovy.ext.shell.system.Process

- A process managed by the shell.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Process (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Integer` | `exitCode()` @return Returns: the process exit code when the status is otherwise `null`
    `java.lang.Object` | `getDelegate()`
    `Session` | `getSession()` @return Returns: the process session
    `Tty` | `getTty()` @return Returns: the process tty
    `boolean` | `interrupt()` Attempt to interrupt the process.
    `boolean` | `interrupt(io.vertx.core.Handler<java.lang.Void> completionHandler)` Attempt to interrupt the process.
    `void` | `resume()` Suspend the process.
    `void` | `resume(boolean foreground)` Suspend the process.
    `void` | `resume(io.vertx.core.Handler<java.lang.Void> completionHandler)` Suspend the process.
    `void` | `resume(boolean foreground, io.vertx.core.Handler<java.lang.Void> completionHandler)` Suspend the process.
    `void` | `run()` Run the process.
    `void` | `run(boolean foreground)` Run the process.
    `void` | `run(io.vertx.core.Handler<java.lang.Void> completionHandler)` Run the process.
    `void` | `run(boolean foregraound, io.vertx.core.Handler<java.lang.Void> completionHandler)` Run the process.
    `Process` | `setSession(Session session)` Set the process session
    `Process` | `setTty(Tty tty)` Set the process tty.
    `ExecStatus` | `status()` @return Returns: the current process status
    `void` | `suspend()` Resume the process.
    `void` | `suspend(io.vertx.core.Handler<java.lang.Void> completionHandler)` Resume the process.
    `void` | `terminate()` Terminate the process.
    `void` | `terminate(io.vertx.core.Handler<java.lang.Void> completionHandler)` Terminate the process.
    `Process` | `terminatedHandler(io.vertx.core.Handler<java.lang.Integer> handler)` Set an handler for being notified when the process terminates.
    `void` | `toBackground()` Set the process in background.
    `void` | `toBackground(io.vertx.core.Handler<java.lang.Void> completionHandler)` Set the process in background.
    `void` | `toForeground()` Set the process in foreground.
    `void` | `toForeground(io.vertx.core.Handler<java.lang.Void> completionHandler)` Set the process in foreground.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### Process(java.lang.Object delegate)

  - ### Method Detail

    - #### java.lang.Integer exitCode()

      Returns:
        the process exit code when the status is otherwise `null`

    - #### java.lang.Object getDelegate()

    - #### Session getSession()

      Returns:
        the process session

    - #### Tty getTty()

      Returns:
        the process tty

    - #### boolean interrupt()

      Attempt to interrupt the process.

      Returns:
        true if the process caught the signal

    - #### boolean interrupt(io.vertx.core.Handler<java.lang.Void> completionHandler)

      Attempt to interrupt the process.

      Returns:
        true if the process caught the signal
      Parameters:
        `completionHandler` - handler called after interrupt callback

    - #### void resume()

      Suspend the process.

    - #### void resume(boolean foreground)

      Suspend the process.

      Parameters:
        foreground

    - #### void resume(io.vertx.core.Handler<java.lang.Void> completionHandler)

      Suspend the process.

      Parameters:
        `completionHandler` - handler called after resume callback

    - #### void resume(boolean foreground, io.vertx.core.Handler<java.lang.Void> completionHandler)

      Suspend the process.

      Parameters:
        foreground
        `completionHandler` - handler called after resume callback

    - #### void run()

      Run the process.

    - #### void run(boolean foreground)

      Run the process.

      Parameters:
        foreground

    - #### void run(io.vertx.core.Handler<java.lang.Void> completionHandler)

      Run the process.

      Parameters:
        `completionHandler` - handler called after process callback

    - #### void run(boolean foregraound, io.vertx.core.Handler<java.lang.Void> completionHandler)

      Run the process.

      Parameters:
        foregraound
        `completionHandler` - handler called after process callback

    - #### Process setSession(Session session)

      Set the process session

      Returns:
        this object
      Parameters:
        `session` - the process session

    - #### Process setTty(Tty tty)

      Set the process tty.

      Returns:
        this object
      Parameters:
        `tty` - the process tty

    - #### ExecStatus status()

      Returns:
        the current process status

    - #### void suspend()

      Resume the process.

    - #### void suspend(io.vertx.core.Handler<java.lang.Void> completionHandler)

      Resume the process.

      Parameters:
        `completionHandler` - handler called after suspend callback

    - #### void terminate()

      Terminate the process.

    - #### void terminate(io.vertx.core.Handler<java.lang.Void> completionHandler)

      Terminate the process.

      Parameters:
        `completionHandler` - handler called after end callback

    - #### Process terminatedHandler(io.vertx.core.Handler<java.lang.Integer> handler)

      Set an handler for being notified when the process terminates.

      Returns:
        this object
      Parameters:
        `handler` - the handler called when the process terminates.

    - #### void toBackground()

      Set the process in background.

    - #### void toBackground(io.vertx.core.Handler<java.lang.Void> completionHandler)

      Set the process in background.

      Parameters:
        `completionHandler` - handler called after background callback

    - #### void toForeground()

      Set the process in foreground.

    - #### void toForeground(io.vertx.core.Handler<java.lang.Void> completionHandler)

      Set the process in foreground.

      Parameters:
        `completionHandler` - handler called after foreground callback